#include "aff_jeton_debug.h"

void afficherConsole(PlayedToken *jetonjoue)
{
	if(jetonjoue != NULL)
	{
		printf("%c%d", jetonjoue->jeton.color+'A', jetonjoue->jeton.form);
		if(jetonjoue->next != NULL)
		{
			printf("->");
			afficherConsole(jetonjoue->next);
		}
		else
			putchar('\n');
	}
}

void afficherConsoleCouleur(PlayedToken *jetonjoue)
{
	if(jetonjoue != NULL)
	{
		PlayedToken *cur = jetonjoue;
		PlayedToken *first = cur;
		printf("%c%d->", cur->jeton.color+'A', cur->jeton.form);
		while(cur->nextColor != first)
		{
			cur = cur->nextColor;
			if(cur == NULL)
			{
				printf("(nil)");
				break;
			}
			printf("%c%d->", cur->jeton.color+'A', cur->jeton.form);
		}
		putchar('\n');
	}
	else
		printf("No exists\n");
}

void afficherConsoleForme(PlayedToken *jetonjoue)
{
	if(jetonjoue != NULL)
	{
		PlayedToken *cur = jetonjoue;
		PlayedToken *first = cur;
		printf("%c%d->", cur->jeton.color+'A', cur->jeton.form);
		while(cur->nextForm != first)
		{
			cur = cur->nextForm;
			if(cur == NULL)
			{
				printf("(nil)");
				break;
			}
			printf("%c%d->", cur->jeton.color+'A', cur->jeton.form);
		}
		putchar('\n');
	}
	else
		printf("No exists\n");
}

void afficherFull(TokenList *listejeton)
{
	printf("liste: ");
	afficherConsole(listejeton->head);
	int i = 0;
	for(i = 0; i < NB_COLOR; i ++)
	{
		printf("liste couleur %d: ", i);
		afficherConsoleCouleur(listejeton->head_color[i]);
	}
	for(i = 0; i < NB_SHAPE; i ++)
	{
		printf("liste forme %d: ", i);
		afficherConsoleForme(listejeton->head_shape[i]);
	}
}
