#include "tuto.h"

void Tuto_Afficher(Tuto *t)
{
	if(t != NULL)
		MLV_draw_adapted_text_box_with_font(t->x, t->y, t->message, jeu->police, 5, MLV_rgba(100, 100, 100, 255), MLV_rgba(220, 220, 220, 255), MLV_rgba(63, 63, 63, 127), MLV_TEXT_CENTER);
}

int Tuto_CheckAction(Tuto *t, Control control)
{
	if(!jeu->is_tuto || t == NULL)
		return 1;
	return t->control_action == control;
}

int Tuto_CheckCR(Tuto *t, Choix_Rotate cr)
{
	if(!jeu->is_tuto || t == NULL)
		return 1;
	return t->cr_action == cr;
}

Tuto *Tuto_Validate(Tuto *t, Control control, Choix_Rotate cr)
{
	if(t == NULL)
		return NULL;
	if(control != Control_None && t->control_action == control)
		return t->next;
	if(t->cr_action == cr)
		return t->next;
	return t;
}
