#ifndef DEF_HEADER_TUTO
#define DEF_HEADER_TUTO

#include "struct_data.h"

void Tuto_Afficher(Tuto *t);
/*
Affiche le message du tutoriel
*/

int Tuto_CheckAction(Tuto *t, Control control);
/*
Permet de savoir si le control choisi est l'action attendue par le Tuto
*/

int Tuto_CheckCR(Tuto *t, Choix_Rotate cr);
/*
Sous véirification du tuto pour la cas des rotations de jetons
*/

Tuto *Tuto_Validate(Tuto *t, Control control, Choix_Rotate cr);
/*
Donne le Tuto suivant si l'étape est validée
*/

#endif
