#ifndef DEF_HEADER_STRUCT_JETON_AFFICHAGE
#define DEF_HEADER_STRUCT_JETON_AFFICHAGE

/*
Fichier contenant les prototypes des fonctions de debug de la structure PlayedToken et TokenList
*/

#include "struct_data.h"

void afficherConsole(PlayedToken *jetonjoue);
/*
	Fonction de Debug permettant d'afficher une liste dans la console
	ARG:
		- PlayedToken *jetonjoue : la liste qu'on affiche dans la console en suivant son attribut next
*/

void afficherConsoleCouleur(PlayedToken *jetonjoue);
/*
	Fonction de Debug permettant d'afficher une liste par rapport à ses couleurs dans la console
	ARG:
		- PlayedToken *jetonjoue : la liste qu'on affiche dans la console en suivant son attribut nextColor
*/

void afficherConsoleForme(PlayedToken *jetonjoue);
/*
	Fonction de Debug permettant d'afficher une liste par rapport à ses formes dans la console
	ARG:
		- PlayedToken *jetonjoue : la liste qu'on affiche dans la console en suivant son attribut nextForm
*/

void afficherFull(TokenList *listejeton);
/*
	Fonction de Debug permettant d'afficher une liste tout entière
	On affiche par couleur les listes commençant par le head_color pour chaque couleur et on fait de même pour les formes
	ARG:
		- TokenList *listejeton : la liste dont on affiche tous les chaînages dirigés vers l'élément suivant (on n'affiche pas suivant les précédents)
*/

#endif
